<header>
  <h1>Todo List</h1>

  <form class="new-task" ng-submit="$ctrl.addTask($ctrl.newTask)">
    <input ng-model="$ctrl.newTask" type="text" name="text" placeholder="Type to add new tasks"/>
  </form>
  
</header>

<ul>
  <li ng-repeat="task in $ctrl.tasks" ng-class="{'checked': task.checked}">
    <button class="delete" ng-click="$ctrl.removeTask(task)">&times;</button>

    <input type="checkbox" ng-checked="task.checked" ng-click="$ctrl.setChecked(task)" class="toggle-checked"/>

    <span class="text">
      {{task.text}}
    </span>
  </li>
</ul>